Subject: bug#20594: master-branch broke my init

From: Artur Malabarba <[email-masked]>
Date: Mon, 18 May 2015 11:08:45 +0100

Yes, I agree. There should either be a prompt or a notice about this.

In addition to that. A few days ago I added some logic to package.el
so that it won't add anything to your init file when it's not
necessary. That was after 20150509. It may or may not catch your
use-case.
Would you be willing to test if it works for you?

If you are, just (1) remove those lines, (2) rebuild today's master,
and (3) start emacs again.